Bug 115812 - PooledConnectionSource should output warning in logs when no free connection
PooledConnectionSource should output warning in logs when no free connection
Status: CLOSED WONTFIX
Product: Red Hat Web Application Framework
Classification: Retired
Component: persistence (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-16 07:00 EST by Daniel Berrange
Modified: 2007-04-18 13:03 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 13:33:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Example patch (1.99 KB, patch)
2004-02-16 10:38 EST, Daniel Berrange
no flags Details | Diff

  None (edit)
Description Daniel Berrange 2004-02-16 07:00:22 EST
Description of problem:
Running rickshaw in production with default config settings, the
server will appear to hang if many (well more than 3 or 4) people are
using it. There was no significant load on the app server or database,
nor any messages in the logs. We eventually tracked it down to their
being only 10 DB connections allocated, while resin was configured to
have upto 150 requests. Since we increased db pool to 150 the problems
went away. We suspect that the slow running 'category deletion' option
was responsible for triggering the problem because it can tie up a DB
connection for many, many minutes at a time.


The PooledConnectionSource should print out a log4j WARN level message
if it has to put a thread into the 'wait()' call due to lack of DB
connections. This will allow the administrator to more easily diagnose
their scaling problems.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Set DB pool to 10
2. Get lots of people using the server, on slow running pages - eg
deleting a bunch of categories.
3.
  
Actual results:
Requests hang / take much longer than normal, even though machine has
minimal load

Expected results:
Warning message in logs about lack of DB connections.

Additional info:
Comment 1 Daniel Berrange 2004-02-16 10:38:31 EST
Created attachment 97703 [details]
Example patch
Comment 2 Daniel Berrange 2006-09-02 13:33:16 EDT
Closing old tickets

Note You need to log in before you can comment on or make changes to this bug.